package com.fjhx.victoriatourist.service.quality;

import com.fjhx.victoriatourist.entity.quality.po.QualityInfo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.quality.vo.QualityInfoVo;
import com.fjhx.victoriatourist.entity.quality.dto.QualityInfoSelectDto;
import com.fjhx.victoriatourist.entity.quality.dto.QualityInfoDto;


/**
 * <p>
 * 质检 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-26
 */
public interface QualityInfoService extends BaseService<QualityInfo> {

    /**
     * 质检分页
     */
    Page<QualityInfoVo> getPage(QualityInfoSelectDto dto);

    Page<QualityInfoVo> getPage1(QualityInfoSelectDto dto);

    /**
     * 质检明细
     */
    QualityInfoVo detail(Long id);

    /**
     * 质检新增
     */
    void add(QualityInfoDto qualityInfoDto);

    /**
     * 质检编辑
     */
    void edit(QualityInfoDto qualityInfoDto);

    /**
     * 质检删除
     */
    void delete(Long id);

}
